<?php
/*-------------------------------------------------------+
| PHP-Fusion Content Management System
| Copyright (C) 2002 - 2008 Nick Jones
| http://www.php-fusion.co.uk/
+--------------------------------------------------------+
| Filename: math_bbcode_include_var.php
| Author: Wooya
+--------------------------------------------------------+
| This program is released as free software under the
| Affero GPL license. You can redistribute it and/or
| modify it under the terms of this license which you
| can read by viewing the included agpl.txt or online
| at www.gnu.org/licenses/agpl.html. Removal of this
| copyright header is strictly prohibited without
| written permission from the original author(s).
+--------------------------------------------------------*/
if (!defined("IN_FUSION")) { die("Access Denied"); }

$sizes = explode("|", $locale['bb_math_sizes']);

if (!function_exists("math_set_sizes")) {
	function math_set_sizes($textarea_name, $inputform_name, $sizes, $locale) {
		$buttons = "";
		$buttons .= "<input type='button' value='".$locale['bb_math_math']."' class='button' style='width:200px' onclick=\"addText('".$textarea_name."', '[math]', '[/math]', '".$inputform_name."');return false;\" /><br />\n";
		for ($i=0;$i<count($sizes);$i++) {
			$buttons .= "<input type='button' value='".$locale['bb_math_math']."=".$sizes[$i]."' class='button' style='width:200px' onclick=\"addText('".$textarea_name."', '[math=".$sizes[$i]."]', '[/math]', '".$inputform_name."');return false;\" />".($i<count($sizes)-1 ? "<br />\n" : "\n");
		}
		return $buttons;
	}
}

$__BBCODE__[] = 
array(
"description"		=>	$locale['bb_math_description'],
"value"				=>	"math",
"bbcode_start"		=>	"[math=".$sizes[count($sizes)-1]."]",
"bbcode_end"		=>	"[/math]",
"usage"				=>	"[math=(".$locale['bb_math_sizes'].")]".$locale['bb_math_usage']."[/math]",
"onclick" 			=> "return overlay(this, 'math_size_".$textarea_name."', 'rightbottom');",
"html_start" 		=> "<div id='math_help_".$textarea_name."' style='display:none;border:1px solid black;' class='tbl'>".$locale['bb_math_google']."</div>\n<div id='math_size_".$textarea_name."' class='tbl1' style='display: none; border:1px solid black; position: absolute; width: auto; height: auto; text-align: center' onclick=\"overlayclose('math_size_".$textarea_name."');\">\n",
"phpfunction"		=>	'echo math_set_sizes($textarea_name, $inputform_name, $sizes, $locale);',
"html_end" 			=> "</div>\n",
"onmouseover" 		=> "return overlay(this, 'math_help_".$textarea_name."', 'topright');",
"onmouseout" 		=> "overlayclose('math_help_".$textarea_name."');"
);
?>
